Subject: Re: [Idr] draft-li-idr-bgp-ls-sr-policy-path-segment

From: "Chengli (Cheng Li)" <[email-masked]>
Date: Tue, 11 Jun 2019 03:48:49 +0000

Hi Shraddha，

Sorry for my delay, I agree with your comments, will update to address them in the next revision.

Thanks,
Cheng

From: Shraddha Hegde [mailto:[email-masked]]
Sent: Monday, June 10, 2019 2:20 PM
To: Shraddha Hegde <shraddha=[email-masked]>; [email-masked]
Subject: RE: draft-li-idr-bgp-ls-sr-policy-path-segment

Authors,

Any update on these comments?

Rgds
Shraddha

From: Idr <[email-masked]<mailto:[email-masked]>> On Behalf Of Shraddha Hegde
Sent: Monday, May 6, 2019 4:01 PM
To: [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>
Subject: [Idr] draft-li-idr-bgp-ls-sr-policy-path-segment

Authors,

Some comments on the draft.

1.       Section 3.1 SR Path Segment
“Also, it can be used for identifying an SR candidate path or an SR
   Policy defined in [I-D.ietf-spring-segment-routing-policy<https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_draft-2Dli-2Didr-2Dbgp-2Dls-2Dsr-2Dpolicy-2Dpath-2Dsegment-2D01&d=DwMFAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=NyjLsr7JA7mvpCJa0YmPdVKcmMXJ31bpbBaNqzCNrng&m=fhDBtbOJt9FNZe9QgtQaQqUrpMmmysNkjcxgoViXQFE&s=-1GDP7HACe3TkVsevxfmZGEU2Zz4YhUtZh5r7Zcwsm0&e=>].”

When the path-segment is used for identifying SR policy/candidate path,
The SR Path Segment sub-TLV should appear in the SR policy as below. Pls update figure 1.

SR Policy SAFI NLRI: <Distinguisher, Policy-Color, Endpoint>
           Attributes: Tunnel Encaps Attribute (23)
           Tunnel Type: SR Policy
               Binding SID
               Preference
               Priority
               Policy Name
               Explicit NULL Label Policy (ENLP)
               Path Segment
               Bidirectioanl Path
                   Segment List
                       Weight
                       Segment
                       Segment

The Path Segment Sub-TLV may be associated with SR Policy as well as the Segment List
Simultaneously, or may be associated with SR-Policy or segment List alone based on usecases.
2.       I suggest to update the IANA section, with code points and NLRIs/attributes where the TLVs/sub-TLVs appear in BGP-LS NLRI
Along with the code-points. It’s useful for implementors as well as IANA to keep the registry up to date.

Rgds
Shraddha